import org.junit.Test;

import static org.junit.Assert.*;

public class CipherTwoTest {

    @Test
    public void cryptTest1() {
        // Given
        CipherTwo cipher = new CipherTwo('a', 'n');

        String Q1 = "Why did the chicken cross the road?";
        String A1 = "Cne joj znk inoiqkt ixuyy znk xugj?";

        String Q2 = "Zu mkz zu znk uznkx yojk!";
        String A2 = "To get to the other side!";

        // When
        String actual = cipher.encrypt(Q1);
        System.out.println(Q1);
        System.out.println(A1);
        // Then
        assertTrue(actual.equals(A1));

        // When
        String actual2 = cipher.decrypt(Q2);
        System.out.println(Q2);
        System.out.println(A2);
        // Then
        assertTrue(actual2.equals(A2));
    }
    @Test
    public void cryptTest2() {
        // Given
        CipherTwo cipher = new CipherTwo('a', 'n');

        String Q1 = "Why did the chicken cross the road?";
        System.out.println(Q1);

        String expected = "Itk pup ftq otuowqz odaee ftq damp?";
        // When
        String actual = cipher.crypt(cipher.crypt(Q1));
        System.out.println(actual);
        // Then
        assertTrue(actual.equals(expected));
    }

}